de.vc.util.log

## Class LogUtil

- java.lang.Object
- - de.vc.util.log.LogUtil

-     public class LogUtil
      extends java.lang.Object

  LogUtil

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PRIORITY_DEBUG`
    `static java.lang.String` | `PRIORITY_ERROR`
    `static java.lang.String` | `PRIORITY_FATAL_ERROR`
    `static java.lang.String` | `PRIORITY_INFO`
    `static java.lang.String` | `PRIORITY_TRACE`
    `static java.lang.String` | `PRIORITY_WARN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getPriority(org.apache.commons.logging.Log log)`
    `static int` | `getSimpleLogLevel(java.lang.String priority)`
    `static void` | `logDebug(org.apache.commons.logging.Log log, java.lang.String debug)`
    `static void` | `logDebug(org.apache.commons.logging.Log log, java.lang.String debug, java.lang.Throwable t)`
    `static void` | `logError(org.apache.commons.logging.Log log, java.lang.String error)`
    `static void` | `logError(org.apache.commons.logging.Log log, java.lang.String error, java.lang.Throwable t)`
    `static void` | `logFatalError(org.apache.commons.logging.Log log, java.lang.String error)`
    `static void` | `logFatalError(org.apache.commons.logging.Log log, java.lang.String error, java.lang.Throwable t)`
    `static void` | `logInfo(org.apache.commons.logging.Log log, java.lang.String info)`
    `static void` | `logInfo(org.apache.commons.logging.Log log, java.lang.String info, java.lang.Throwable t)`
    `static void` | `logWarning(org.apache.commons.logging.Log log, java.lang.String warning)`
    `static void` | `logWarning(org.apache.commons.logging.Log log, java.lang.String warning, java.lang.Throwable t)`
    `static org.apache.commons.logging.Log` | `newSimpleLogger(java.lang.String name, java.lang.String priority)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRIORITY_TRACE

          public static final java.lang.String PRIORITY_TRACE

      See Also:
        Constant Field Values

    - #### PRIORITY_DEBUG

          public static final java.lang.String PRIORITY_DEBUG

      See Also:
        Constant Field Values

    - #### PRIORITY_INFO

          public static final java.lang.String PRIORITY_INFO

      See Also:
        Constant Field Values

    - #### PRIORITY_WARN

          public static final java.lang.String PRIORITY_WARN

      See Also:
        Constant Field Values

    - #### PRIORITY_ERROR

          public static final java.lang.String PRIORITY_ERROR

      See Also:
        Constant Field Values

    - #### PRIORITY_FATAL_ERROR

          public static final java.lang.String PRIORITY_FATAL_ERROR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LogUtil

          public LogUtil()

  - ### Method Detail

    - #### logInfo

          public static final void logInfo(org.apache.commons.logging.Log log,
                     java.lang.String info)

    - #### logInfo

          public static final void logInfo(org.apache.commons.logging.Log log,
                     java.lang.String info,
                     java.lang.Throwable t)

    - #### logError

          public static final void logError(org.apache.commons.logging.Log log,
                      java.lang.String error)

    - #### logError

          public static final void logError(org.apache.commons.logging.Log log,
                      java.lang.String error,
                      java.lang.Throwable t)

    - #### logFatalError

          public static final void logFatalError(org.apache.commons.logging.Log log,
                           java.lang.String error)

    - #### logFatalError

          public static final void logFatalError(org.apache.commons.logging.Log log,
                           java.lang.String error,
                           java.lang.Throwable t)

    - #### logWarning

          public static final void logWarning(org.apache.commons.logging.Log log,
                        java.lang.String warning)

    - #### logWarning

          public static final void logWarning(org.apache.commons.logging.Log log,
                        java.lang.String warning,
                        java.lang.Throwable t)

    - #### logDebug

          public static final void logDebug(org.apache.commons.logging.Log log,
                      java.lang.String debug)

    - #### logDebug

          public static final void logDebug(org.apache.commons.logging.Log log,
                      java.lang.String debug,
                      java.lang.Throwable t)

    - #### getPriority

          public static final java.lang.String getPriority(org.apache.commons.logging.Log log)

    - #### newSimpleLogger

          public static final org.apache.commons.logging.Log newSimpleLogger(java.lang.String name,
                                                       java.lang.String priority)

    - #### getSimpleLogLevel

          public static final int getSimpleLogLevel(java.lang.String priority)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.